> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 撤销服务用户的 API 密钥

> 撤销服务用户的 API 密钥。

如果未找到该密钥，则返回 404；如果已撤销，则返回 409。

<div id="permissions">
  ## 权限
</div>

需要具有企业级 `ManageAccountServiceUsers` 权限的服务用户。


## OpenAPI

````yaml zh/v3-openapi.yaml DELETE /v3beta1/enterprise/service-users/{service_user_id}/api-keys/{api_key_id}
openapi: 3.1.0
info:
  description: 采用 Service User 身份验证和 RBAC 的 Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3beta1/enterprise/service-users/{service_user_id}/api-keys/{api_key_id}:
    delete:
      tags:
        - service_user_api_keys
      summary: 撤销服务用户的 API 密钥
      description: |-
        撤销服务用户的 API 密钥。

        如果未找到该密钥，则返回 404；如果已撤销，则返回 409。
      operationId: >-
        handle_revoke_service_user_api_key_v3beta1_enterprise_service_users__service_user_id__api_keys__api_key_id__delete
      parameters:
        - description: 服务用户 ID（前缀：service-user-）
          in: path
          name: service_user_id
          required: true
          schema:
            example: service-user-abc123def456
            title: Service User Id
            type: string
        - in: path
          name: api_key_id
          required: true
          schema:
            title: Api Key Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiKeyResponse'
          description: 成功响应
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 验证错误
components:
  schemas:
    ApiKeyResponse:
      description: API 密钥详情的共享响应模型（PAT 和服务用户端点均使用）。
      properties:
        api_key_id:
          title: Api Key Id
          type: string
        api_key_name:
          title: Api Key Name
          type: string
        created_at:
          title: Created At
          type: integer
        expires_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Expires At
        is_active:
          title: Is Active
          type: boolean
        last_used_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Last Used At
        revoked_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Revoked At
      required:
        - api_key_id
        - api_key_name
        - created_at
        - expires_at
        - revoked_at
        - last_used_at
        - is_active
      title: ApiKeyResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 服务用户凭据（前缀：cog_）
      scheme: bearer
      type: http

````